## jquery-lazyload 1.7.2

=== Makefile ===
VERSION = 1.6.0-dev
SHELL = /bin/sh
DOWNLOAD = /srv/www/www.appelsiini.net/shared/static/download
JSMIN    = /home/tuupola/bin/jsmin

all: lazyload minified latest

lazyload: jquery.lazyload.js
	cp jquery.lazyload.js $(DOWNLOAD)/jquery.lazyload-$(VERSION).js

minified: jquery.lazyload.js
	cp jquery.lazyload.min.js $(DOWNLOAD)/jquery.lazyload-$(VERSION).min.js

latest: jquery.lazyload.js jquery.lazyload.min.js
	cp jquery.lazyload.js $(DOWNLOAD)/jquery.lazyload.js
	cp jquery.lazyload.min.js $(DOWNLOAD)/jquery.lazyload.min.js

## jquery-lazyload 1.7.0

=== debian/changelog ===
jquery-lazyload (1.7.0-1) unstable; urgency=low

  * Initial release (Closes: #659408)

 -- Emilien Klein <emilien+debian@klein.st>  Sat, 11 Feb 2012 08:38:04 +0100

=== debian/control ===
Source: jquery-lazyload
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Emilien Klein <emilien+debian@klein.st>
Build-Depends: debhelper (>= 8.0.0), node-uglify
Standards-Version: 3.9.2
Homepage: http://www.appelsiini.net/projects/lazyload
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/jquery-lazyload.git
Vcs-Git: git://git.debian.org/pkg-javascript/jquery-lazyload.git

Package: libjs-jquery-lazyload
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Suggests: javascript-common
Description: Lazy Load Plugin for jQuery
 Lazy Load is a jQuery plugin written in JavaScript. It delays loading of
 images in long web pages. Images outside of viewport (visible part of web
 page) wont be loaded before user scrolls to them. This is opposite of image
 preloading.
 .
 Using Lazy Load on long web pages containing many large images makes the page
 load faster. Browser will be in ready state after loading visible images.
 In some cases it can also help to reduce server load.
 .
 Lazy Load is inspired by YUI ImageLoader Utility by Matt Mlinac.

## jquery-lazyload 1.7.2

=== debian/changelog ===
jquery-lazyload (1.7.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: Update Standards-Version to 3.9.3

 -- Emilien Klein <emilien+debian@klein.st>  Mon, 27 Feb 2012 20:47:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Emilien Klein <emilien+debian@klein.st>
 Build-Depends: debhelper (>= 8.0.0), node-uglify
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.appelsiini.net/projects/lazyload
 Vcs-Browser: http://git.debian.org/?p=pkg-javascript/jquery-lazyload.git
 Vcs-Git: git://git.debian.org/pkg-javascript/jquery-lazyload.git

=== debian/watch ===
version=3
http://githubredir.debian.net/github/tuupola/jquery_lazyload /(.+).tar.gz debian uupdate

## jquery-lazyload 1.9.7

=== debian/changelog ===
jquery-lazyload (1.9.7-2) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Replace node-uglify by terser (Closes: #979911)
  * Refresh privacy patches
  * Provides also jquery.scrollstop
  * Add lintian-overrides

 -- Yadd <yadd@debian.org>  Mon, 14 Feb 2022 15:47:16 +0100

jquery-lazyload (1.9.7-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update Vcs-* headers to use salsa repository.
  * Apply multi-arch hints.
    + libjs-jquery-lazyload: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

  [ Yadd ]
  * Declare compliance with policy 4.6.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Fix debian/watch
  * New upstream version 1.9.7
  * Install changelog
  * Update docs

 -- Yadd <yadd@debian.org>  Sun, 21 Nov 2021 12:32:26 +0100

jquery-lazyload (1.9.3~dfsg1-1) unstable; urgency=low

  * New upstream release
  * d/README.Debian: Mention the README.textile for complete documentation
      on how to use the plugin, and call out Debian-specifics.
  * d/README.source: Write instructions to package new upstream versions
  * d/copyright:
      - Add image licencing information
      - Update Format field
      - Rename "CC-BY 3.0" to "CC-BY-3.0" to address Lintian's
        space-in-std-shortname-in-dep5-copyright warning
  * d/libjs-jquery-lazyload.examples: Include example files
  * d/control:
      - Update Standards-Version to 3.9.5
      - Use anonscm.debian.org for Vcs-* fields
      - Move javascript-common from Suggests to Recommends
  * d/rules:
      - Retain copyright information in minified js file
      - Move README.textile as plain doc instead of changelog file
  * d/rules and d/install: Minify directly in debian/ directory
  * d/download_repackage_dfsg.sh: Remove minified js files and repackage
      to be DFSG-compliant
  * d/watch:
      - Mangle the version number now that it contains ~dfsgN
      - Remove call to uupdate
  * d/patches/fix-privacy-breach-logo.patch: Remove favicon in example files
  * d/patches/remove-google-analytics.patch: Remove Google Analytics code from
      the example files.

 -- Emilien Klein <emilien+debian@klein.st>  Fri, 26 Sep 2014 20:04:56 +0200

=== debian/control ===
Source: jquery-lazyload
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Emilien Klein <emilien+debian@klein.st>
Build-Depends: debhelper-compat (= 13), terser
Standards-Version: 4.6.0
Homepage: https://www.appelsiini.net/projects/lazyload
Vcs-Browser: https://salsa.debian.org/js-team/jquery-lazyload
Vcs-Git: https://salsa.debian.org/js-team/jquery-lazyload.git
Rules-Requires-Root: no

Package: libjs-jquery-lazyload
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Provides: libjs-jquery-scrollstop (= ${binary:Version})
Recommends: javascript-common
Multi-Arch: foreign
Description: Lazy Load Plugin for jQuery
 Lazy Load is a jQuery plugin written in JavaScript. It delays loading of
 images in long web pages. Images outside of viewport (visible part of web
 page) won't be loaded before user scrolls to them. This is opposite of image
 preloading.
 .
 Using Lazy Load on long web pages containing many large images makes the page
 load faster. Browser will be in ready state after loading visible images.
 In some cases it can also help to reduce server load.
 .
 Lazy Load is inspired by YUI ImageLoader Utility by Matt Mlinac.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	terser -o debian/jquery.lazyload.min.js jquery.lazyload.js
	terser -o debian/jquery.scrollstop.min.js jquery.scrollstop.js

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.textile

=== debian/watch ===
version=4

opts=dversionmangle=auto \
  https://github.com/tuupola/jquery_lazyload/tags archive.*/v?(\d[\d\.]*)@ARCHIVE_EXT@
